ONVIF::Device::Elements::VideoSourceConfiguration(3)

NAME
ONVIF::Device::Elements::VideoSourceConfiguration

DESCRIPTION
Perl data type class for the XML Schema defined element VideoSourceConfiguration from the namespace http://www.onvif.org/ver10/schema.

METHODS

  new
 my $element = ONVIF::Device::Elements::VideoSourceConfiguration->new($data);

Constructor. The following data structure may be passed to new():

 { # ONVIF::Device::Types::VideoSourceConfiguration
   SourceToken => $some_value, # ReferenceToken
   Bounds => ,
   Extension =>  { # ONVIF::Device::Types::VideoSourceConfigurationExtension
     Rotate =>  { # ONVIF::Device::Types::Rotate
       Mode => $some_value, # RotateMode
       Degree =>  $some_value, # int
       Extension =>  { # ONVIF::Device::Types::RotateExtension
       },
     },
     Extension =>  { # ONVIF::Device::Types::VideoSourceConfigurationExtension2
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL